summaryrefslogtreecommitdiff
path: root/tests/ls/time-1
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1998-01-10 11:00:46 +0000
committerJim Meyering <jim@meyering.net>1998-01-10 11:00:46 +0000
commit3b8d19272dcc3a17f82d3d8c5d6684a3d959f463 (patch)
tree2b3d1431121955ff60ef8a625d0c86cc8e4efce6 /tests/ls/time-1
parent60999141709c1c715a423c264f4d804b485f4464 (diff)
downloadcoreutils-3b8d19272dcc3a17f82d3d8c5d6684a3d959f463.tar.xz
.
Diffstat (limited to 'tests/ls/time-1')
-rwxr-xr-xtests/ls/time-132
1 files changed, 32 insertions, 0 deletions
diff --git a/tests/ls/time-1 b/tests/ls/time-1
new file mode 100755
index 000000000..c7929d5b6
--- /dev/null
+++ b/tests/ls/time-1
@@ -0,0 +1,32 @@
+#!/bin/sh
+
+: ${LS=ls}
+test=time-1
+
+if test "$VERBOSE" = yes; then
+ set -x
+ $LS --version
+fi
+
+tmp=t-ls.$$
+
+test_failure=0
+mkdir $tmp || test_failure=1
+cd $tmp || test_failure=1
+: > a || test_failure=1
+: > b || test_failure=1
+cat b || test_failure=1
+
+if test $test_failure = 1; then
+ echo 'failure in testing framework'
+ exit 1
+fi
+
+fail=0
+$LS -u a b > out || fail=1
+ cat out
+
+cd ..
+rm -rf $tmp
+
+exit $fail